Retrieving Dyna Conversations History GET
The Dyna API GET /v1/content/search/rag/conversations endpoint allows you to retrieve all past Dyna AI conversations for a user. Since this endpoint returns information specific to a user’s account, an ID token is required.
This endpoint offers the following query parameters to control which conversations get returned:
- limit – the maximum number of results to return in the response.
- isBookmarked – If set to true, only conversations that are bookmarked by the user are returned.
- nextPageToken – Enables the retrieval of additional conversation results if there are more conversations to retrieve for a user.
The following information is the minimum required to execute a request for this endpoint:
Headers
- Authorization: a personalized access token
- x-eis-id-token: an ID token
Basic Conversations Retrieval Query
To retrieve all conversations for a user, use the headers required above and submit a request to the URL below.
GET 'https://apis.ebsco.com/medsapi-dynamic-health/v1/content/search/rag/conversations'You will then receive a response similar to the one below:
{
"data": {
{
"_metadata": {
"links": [
{
"rel": "first",
"href": "https://apis.ebsco.com/medsapi-dynamic-health/v1/content/search/rag/conversations"
},
{
"rel": "self",
"href": "https://apis.ebsco.com/medsapi-dynamic-health/v1/content/search/rag/conversations"
}
]
},
"items": [
{
"id": "2025-08-19-e4cf473f-9605-4be4-8b34-d0881ef42bdb",
"query": "What is the differential diagnosis for a high ferritin level?",
"question": "What are the possible causes of a high ferritin level?",
"telemetryData": {
"conversationID": "2025-08-19-e4cf473f-9605-4be4-8b34-d0881ef42bdb",
"searchTerm": "What is the differential diagnosis for a high ferritin level?",
"question": "What are the possible causes of a high ferritin level?"
}
}
]
}
}
}Limiting the Number of Conversations Returned
To retrieve a maximum number of conversations, use the headers required above and the limit query parameter. See the example below. There is no default for the limit of conversations to return. If no limit query parameter is sent, the endpoint will return the maximum number of conversations that can fit into 1MB of data.
Request
GET 'https://apis.ebsco.com/medsapi-dynamic-health/v1/content/search/rag/conversations?limit=3'You will then receive a response similar to the one below:
{
"data": {
{
"_metadata": {
"links": [
{
"rel": "first",
"href": "https://apis.ebsco.com/medsapi-dynamic-health/v1/content/search/rag/conversations?limit=3"
},
{
"rel": "self",
"href": "https://apis.ebsco.com/medsapi-dynamic-health/v1/content/search/rag/conversations?limit=3"
},
{
"rel": "next",
"href": "https://apis.ebsco.com/medsapi-dynamic-health/v1/content/search/rag/conversations?limit=3&nextPageToken=this-is-a-placeholder-guid-value"
}
]
},
"items": [
{
"id": "2025-08-19-e4cf473f-9605-4be4-8b34-d0881ef42bdb",
"query": "What is the differential diagnosis for a high ferritin level?",
"question": "What are the possible causes of a high ferritin level?",
"telemetryData": {
"conversationID": "2025-08-19-e4cf473f-9605-4be4-8b34-d0881ef42bdb",
"searchTerm": "What is the differential diagnosis for a high ferritin level?",
"question": "What are the possible causes of a high ferritin level?"
}
},
{
"id": "2025-08-19-e4cf473f-9605-4be4-8b34-d0881ef42bdb",
"query": "What is the differential diagnosis for a high ferritin level?",
"question": "What are the possible causes of a high ferritin level?",
"telemetryData": {
"conversationID": "2025-08-19-e4cf473f-9605-4be4-8b34-d0881ef42bdb",
"searchTerm": "What is the differential diagnosis for a high ferritin level?",
"question": "What are the possible causes of a high ferritin level?"
}
},
{
"id": "2025-08-19-e4cf473f-9605-4be4-8b34-d0881ef42bdb",
"query": "What is the differential diagnosis for a high ferritin level?",
"question": "What are the possible causes of a high ferritin level?",
"telemetryData": {
"conversationID": "2025-08-19-e4cf473f-9605-4be4-8b34-d0881ef42bdb",
"searchTerm": "What is the differential diagnosis for a high ferritin level?",
"question": "What are the possible causes of a high ferritin level?"
}
}
]
}
}
}Retrieving Additional Pages of Conversations
When there is a nextPageToken returned in the HATEOAS links section of the endpoint response, there are additional conversations available to retrieve that were not returned due to either 1) an explicit limit query parameter being sent was met or 2) an internal limit (1 MB of data) was met. There is no default for the limit of conversations to return.
The link to retrieve the next set of results will look similar to the JSON below:
{
"rel": "next",
"href": "https://apis.ebsco.com/medsapi-dynamic-health/v1/content/search/rag/conversations?limit=3&nextPageToken=this-is-a-placeholder-guid-value"
}Retrieving Only Bookmarked Conversations
To retrieve only conversations that have been bookmarked by the user, use the headers required above and the isBookmarked query parameter.
Request
GET 'https://apis.ebsco.com/medsapi-dynamic-health/v1/content/search/rag/conversations?isBookmarked=true'The response from the endpoint will look like the one returned in the Basic Conversations Retrieval Query section
Updated about 24 hours ago
